use std::time::Instant;
use crate::constants::constants_via6522::*;
use crate::periph::mos6522::Mos6522;

impl Mos6522 {
    pub fn max_offset(&self) -> u16 {
        self.offset + 0x10
    }

    pub fn start_clocks(&mut self) {
        loop {
            let cycle_start = Instant::now();
            // let duration = cycle_start.duration_since(self.clock);
            // set the time to the new time.
            // self.clock = cycle_start;
        }
    }
}
